job "telemetry-node-exporter" {
  datacenters = ["neptune", "scorpio", "bespin", "corrin", "dathomir"]
  type = "system"
  priority = "100"

  group "node_exporter" {
    network {
      port "node_exporter" { static = 9100 }
    }

    task "node_exporter" {
      driver = "docker"

      config {
        image = "quay.io/prometheus/node-exporter:v1.8.1"
        ports = ["node_exporter"]
        volumes = [
          "/:/host:ro,rslave"
        ]
        args = [
          "--web.listen-address=0.0.0.0:${NOMAD_PORT_node_exporter}",
          "--path.rootfs=/host"
        ]
      }

      resources {
        cpu = 50
        memory = 40
      }

      service {
        tags = [ "telemetry" ]
        port = "node_exporter"
        name = "node-exporter"
        check {
          type = "http"
          path = "/"
          port = 9100
          address_mode = "driver"
          interval = "60s"
          timeout = "5s"
          check_restart {
            limit = 3
            grace = "90s"
            ignore_warnings = false
          }
        }
      }
    }
  }
}
